@cmd = UI::Command.new("Edge Color: Material") do
  ro = Sketchup.active_model.rendering_options
  ecm = ro["EdgeColorMode"]
  if ecm != 0
    ecm = 0
    Sketchup.set_status_text "Egde Color Mode: by Material"
  else
    ecm = 1
    Sketchup.set_status_text "Egde Color Mode: Default"
  end
  ro["EdgeColorMode"] = ecm
end
img = File.basename(__FILE__, ".rb")
@cmd.large_icon = "../images/#{img}_lg.png"
@cmd.small_icon = "../images/#{img}_sm.png"
@cmd.tooltip = "Edge Color by Material"
#@cmd.status_bar_text = "Edge Color by Axis"
def materialedge_validation_proc
  if Sketchup.active_model.rendering_options["EdgeColorMode"] == 0
    return MF_CHECKED
  else
    return MF_UNCHECKED
  end
end
@cmd.set_validation_proc { materialedge_validation_proc }
@cmd

